﻿using Microsoft.AspNetCore.Components;

namespace Connected.Services.Modal;
public class ModalDialogService
{
	public event Action<string, RenderFragment, Event, string, string> OnShow;
	public event Action<bool> OnClose;

	public void ShowDialog(string title, RenderFragment content, Event OnConfirm, string CancelButtonText="Cancel", string OKButtonText="OK")
	{
		OnShow?.Invoke(title, content, OnConfirm, OKButtonText, CancelButtonText);
	}

	public void ShowDialog(string title, MarkupString contentMarkup, Event OnConfirm, string CancelButtonText = "Cancel", string OKButtonText = "OK")
	{
		var content = new RenderFragment(x => x.AddContent(1, contentMarkup));
		OnShow?.Invoke(title, content, OnConfirm, OKButtonText, CancelButtonText);
	}

	public void Close(bool OkClicked)
	{
		OnClose?.Invoke(OkClicked);
	}
}
